Package uk.ac.starlink.task

## Class SingleTaskInvoker

- java.lang.Object
- - uk.ac.starlink.task.SingleTaskInvoker

-     public class SingleTaskInvoker
      extends java.lang.Object

  Invoker which only knows how to invoke a single given task.
  Since:
    22 Nov 2006
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleTaskInvoker​(Task task, java.lang.String taskName)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getUsage()` | Returns a usage string for this invoker.
    `int` | `invoke​(java.lang.String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleTaskInvoker

          public SingleTaskInvoker​(Task task,
                                   java.lang.String taskName)

      Constructor.
      Parameters:
        `task` - task to invoke
        `taskName` - human-readable name of the task

  - ### Method Detail

    - #### invoke

          public int invoke​(java.lang.String[] args)

    - #### getUsage

          public java.lang.String getUsage()

      Returns a usage string for this invoker.
      Returns:
        usage string